package cn.qinys.platform.mobile.service;

import cn.qinys.platform.mobile.req.LoginReq;
import cn.qinys.platform.mobile.resp.CaptchaResp;
import cn.qinys.platform.mobile.resp.LoginResp;
import cn.qinys.platform.mobile.resp.UserWishSummaryResp;

/**
 * @author lie tan
 * @description
 * @date 2026-06-06 13:28
 **/

public interface LoginService {

    LoginResp login(LoginReq query);

    CaptchaResp getCaptcha(String type);

    void logout();

    UserWishSummaryResp wishSummary();

}
